We use cookies to give you the best possible experience while you browse through our site. By continuing to use our website you implicitly agree to the usage of cookies on this site.

Read More
← Atlas API & Provisioning Reference

CSP Brands

Schema

A TCR brand associated with the account

Type Object

Name Type Description
address1 String
alt_business_id String
alt_business_id_type String
brand_relationship String
city String
company_name String
country_code String
display_name String
ein String
ein_issuing_country_code String
email String
first_name String
id String(format:ulid) Desc. id
inserted_at String(format:date-time) An ISO8601 formatted timestamp
last_name String
name String A display name to identify the brand
notes String Any notes about the brand
phone_number String
shared Enum(NO, OWNED, PARTNER):String Desc. shared
state String
stock_exchange String
stock_symbol String
tcr_brand_id String The TCR issued ID of the brand
tcr_csp_id String The owning campaign service provider ID
universal_ein String
updated_at String(format:date-time) An ISO8601 formatted timestamp
vertical String
website String(format:url)
zip_code String

Desc. id

Another format for UUID, used primarily for tasks, requests and messages.

Desc. shared

Was this brand created directly or was a brand from a partner campaign.

Some fields may contain "UNKNOWN" if a brand is from a partner campaign.

  • NO - Should be treated the same as OWNED
  • OWNED - The brand was created on site and belongs to this system
  • PARTNER - The brand originates from outside of the system

Example

{
  "address1": "string",
  "alt_business_id": "string",
  "alt_business_id_type": "string",
  "brand_relationship": "string",
  "city": "string",
  "company_name": "string",
  "country_code": "string",
  "display_name": "string",
  "ein": "string",
  "ein_issuing_country_code": "string",
  "email": "string",
  "first_name": "string",
  "id": "01EH2Y28M6KXG14QMPM3HSP1Y0",
  "inserted_at": "2021-08-13T04:08:44.762841Z",
  "last_name": "string",
  "name": "string",
  "notes": "string",
  "phone_number": "string",
  "shared": "NO",
  "state": "string",
  "stock_exchange": "string",
  "stock_symbol": "string",
  "tcr_brand_id": "B000000",
  "tcr_csp_id": "S000000",
  "universal_ein": "string",
  "updated_at": "2021-08-13T04:08:44.762841Z",
  "vertical": "string",
  "website": "string",
  "zip_code": "string"
}

API

List CSP Brands

GET /api/v1/brands HTTP/1.1

Retrieve a list of brands associated with the account

Query Parameters

Name Type Description
first Integer Query Desc. first
last Integer Query Desc. last
after String Query Desc. after
before String Query Desc. before

Query Desc. first

The number of items to return starting from the 'after' cursor

Query Desc. last

The number of items to return behind the 'before' cursor

Query Desc. after

The cursor representing the starting point of a 'first' based paging

Query Desc. before

The cursor representing the starting point of a 'last' based paging

Request

GET /api/v1/brands HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 1211
{
  "count": 1,
  "page_info": {
    "first": "string",
    "has_next_page": true,
    "has_previous_page": true,
    "last": "string"
  },
  "results": [
    {
      "data": {
        "address1": "string",
        "alt_business_id": "string",
        "alt_business_id_type": "string",
        "brand_relationship": "string",
        "city": "string",
        "company_name": "string",
        "country_code": "string",
        "display_name": "string",
        "ein": "string",
        "ein_issuing_country_code": "string",
        "email": "string",
        "first_name": "string",
        "id": "01EH2Y28M6KXG14QMPM3HSP1Y0",
        "inserted_at": "2021-08-13T04:08:44.762841Z",
        "last_name": "string",
        "name": "string",
        "notes": "string",
        "phone_number": "string",
        "shared": "NO",
        "state": "string",
        "stock_exchange": "string",
        "stock_symbol": "string",
        "tcr_brand_id": "B000000",
        "tcr_csp_id": "S000000",
        "universal_ein": "string",
        "updated_at": "2021-08-13T04:08:44.762841Z",
        "vertical": "string",
        "website": "string",
        "zip_code": "string"
      },
      "type": "csp_brand"
    }
  ]
}

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

Get CSP Brand

GET /api/v1/brands/{id} HTTP/1.1

Lookup a Brand by its internal UUID

Path Parameters

Name Type Description
id String(format:uuid)! Path Desc. id

Path Desc. id

Brand ID A Universally unique identifier, which identifies the resource

Request

GET /api/v1/brands/{id} HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 914
{
  "data": {
    "address1": "string",
    "alt_business_id": "string",
    "alt_business_id_type": "string",
    "brand_relationship": "string",
    "city": "string",
    "company_name": "string",
    "country_code": "string",
    "display_name": "string",
    "ein": "string",
    "ein_issuing_country_code": "string",
    "email": "string",
    "first_name": "string",
    "id": "01EH2Y28M6KXG14QMPM3HSP1Y0",
    "inserted_at": "2021-08-13T04:08:44.762841Z",
    "last_name": "string",
    "name": "string",
    "notes": "string",
    "phone_number": "string",
    "shared": "NO",
    "state": "string",
    "stock_exchange": "string",
    "stock_symbol": "string",
    "tcr_brand_id": "B000000",
    "tcr_csp_id": "S000000",
    "universal_ein": "string",
    "updated_at": "2021-08-13T04:08:44.762841Z",
    "vertical": "string",
    "website": "string",
    "zip_code": "string"
  },
  "type": "csp_brand"
}

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

Response 404

application/json
HTTP/1.1 404
Content-Type: application/json
Content-Length: 314
{
  "errors": [
    {
      "code": "not_found",
      "detail": "The specified resource could not be found",
      "params": {
        "resource": {
          "id": "3fbb573a-6049-44a0-a12c-d3a1ffae0b69",
          "type": "user"
        }
      },
      "sub_code": "none",
      "title": "Not Found"
    }
  ]
}

Updated 2026-08-12 · Generated from the Atlas OpenAPI spec.